package org.kne.cloud.network;

import java.io.IOException;
import java.net.InetAddress;
import java.net.Socket;
import java.net.UnknownHostException;
import java.nio.channels.SocketChannel;

import javax.net.SocketFactory;

public abstract class SocketChannelFactory {

	public SocketChannel createSocketChannel() throws IOException {
		return SocketChannel.open();
	}

	public abstract SocketChannel createSocketChannel(String paramString, int paramInt)throws IOException, UnknownHostException ;

	public abstract SocketChannel createSocketChannel(InetAddress paramInetAddress, int paramInt) throws IOException ;

	public abstract SocketChannel createSocketChannel(String paramString, int paramInt1, InetAddress paramInetAddress, int paramInt2)
			throws IOException, UnknownHostException ;

	public abstract SocketChannel createSocketChannel(InetAddress paramInetAddress1, int paramInt1, InetAddress paramInetAddress2,
			int paramInt2) throws IOException ;
}
